#!/bin/bash
IMPACT="temp UID for SID, may cause permission problems"

. /usr/share/univention-lib/admember.sh

if is_domain_in_admember_mode; then
	echo "Skipping test, domain is in AD member mode"
	exit 0
fi

check_gencache() {
	if net cache list | grep -E '2SID/30000[0-9]*'; then
		return 1
	fi
	return 0
}

if [ -x "$(which net)" -a -d "/var/lib/samba/private" ]; then
	if check_gencache; then
		net cache flush
		check_gencache
	fi
fi
